## urlscan 0.9.4

=== requirements.txt ===
urwid>=1.2.1

## urlscan 0.5.6

=== _darcs/pristine/debian/control ===
Source: urlscan
Section: mail
Priority: optional
Maintainer: Daniel Burrows <dburrows@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5)
Build-Depends-Indep: debhelper (>= 5.0.37.2), python-central (>= 0.5), python (>= 2.3.0), python-dev (>= 2.3.0)
Standards-Version: 3.7.2

Package: urlscan
Architecture: all
Depends: ${python:Depends}, python-urwid
Suggests: mutt, www-browser
XS-Python-Version: current
XB-Python-Version: ${python:Versions}
Description: Extract and browse the URLs contained in an email (urlview replacement)
 urlscan searches for URLs in email messages, then displays a list of
 them in the current terminal.  It is primarily meant as a replacement
 for urlview, which it improves upon in the following ways:
 .
  * urlscan understands email encodings such as quoted-printable;
    urlview does not.
  * urlscan extracts and displays the context surrounding each URL.

## urlscan 0.5.6-0.1

=== _darcs/pristine/debian/changelog ===
urlscan (0.5.6) unstable; urgency=low

  * Render HTML entities #8212 and "apos" sensibly.
  
  * Recognize braces as valid URL characters (Closes: #407423).

  * Add an option to allow the browser to be invoked in the background
    (Closes: #406083).
  
  * Guess that FOO.tld is probably a URL (Closes: #408684).

 -- Daniel Burrows <dburrows@debian.org>  Sun,  4 Feb 2007 08:41:55 -0800

urlscan (0.5.5) unstable; urgency=low

  * Add support for accepting a single message to scan on the command-line.
  
  * Add a --compact option that suppresses URL context. (Closes: #404605)

 -- Daniel Burrows <dburrows@debian.org>  Thu,  4 Jan 2007 21:29:25 -0800

urlscan (0.5.4) unstable; urgency=low

  * Don't crash on ordered lists. (Closes: #404137)
  
  * Make the URL detection regexp cover more cases. (Closes: #403713)
  
  * Spawn the browser in the foreground, needed for text browsers that run
    in the same terminal (Closes: #403644).

  * Recognize &#8230; as an ellipsis.
  
  * Merge immediately adjacent references to the same URL (the HTML parser
    tends to generate these if <a> contains markup or entities).

 -- Daniel Burrows <dburrows@debian.org>  Sun, 24 Dec 2006 08:07:13 -0800

urlscan (0.5.3) unstable; urgency=low

  * Recognize URLs containing internal colons.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 17 Dec 2006 21:02:20 -0800

urlscan (0.5.2) unstable; urgency=low

  * Fix dumb typo in copyright notice.
    (famous last words: "I'm just changing a comment.  What
     could POSSIBLY go wrong with that?)
    (Closes: #403179)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 17 Dec 2006 20:55:01 -0800

urlscan (0.5.1) unstable; urgency=low

  * Add explicit copyright notices.
  
  * Suggest mutt and www-browser.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 10 Dec 2006 17:13:49 -0800

urlscan (0.5) unstable; urgency=low

  * Initial Upload.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 10 Dec 2006 14:47:05 -0800

=== debian/changelog ===
urlscan (0.5.6-0.1) unstable; urgency=low

  * Non-maintainer upload.

  * Move XS-Python-Version to the source section (Closes: #445424).

  * Bump required python-central version to 0.6 (due to new modules location).

  * Duplicated python-central and debhelper entries removed from build
    dependencies to satisfy Lintian

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 16 Mar 2008 00:37:40 +0100

=== debian/control ===
Source: urlscan
Section: mail
Priority: optional
Maintainer: Daniel Burrows <dburrows@debian.org>
Build-Depends: debhelper (>= 5.0.37.2)
Build-Depends-Indep: python-central (>= 0.6), python (>= 2.3.0), python-dev (>= 2.3.0)
Standards-Version: 3.7.3
XS-Python-Version: current

Package: urlscan
Architecture: all
Depends: ${python:Depends}, python-urwid
Suggests: mutt, www-browser
XB-Python-Version: ${python:Versions}
Description: Extract and browse the URLs contained in an email (urlview replacement)
 urlscan searches for URLs in email messages, then displays a list of
 them in the current terminal.  It is primarily meant as a replacement
 for urlview, which it improves upon in the following ways:
 .
  * urlscan understands email encodings such as quoted-printable;
    urlview does not.
  * urlscan extracts and displays the context surrounding each URL.

## urlscan 0.5.6-0.1ubuntu1

=== debian/changelog ===
urlscan (0.5.6-0.1ubuntu1) oneiric; urgency=low

  * Convert to dh_python2 (Closes: #617138).
    FFe (LP: #826939)

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 15 Aug 2011 07:56:20 -0400

## urlscan 0.5.6-0.1ubuntu2

=== debian/changelog ===
urlscan (0.5.6-0.1ubuntu2) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:15:13 +0000

=== debian/control ===
Source: urlscan
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Burrows <dburrows@debian.org>
Build-Depends: debhelper (>= 5.0.37.2)
Build-Depends-Indep: python (>= 2.6.6-3~), python-dev (>= 2.6.6-3~)
Standards-Version: 3.7.3
X-Python-Version: >=2.6

Package: urlscan
Architecture: all
Depends: ${python:Depends}, python-urwid
Suggests: mutt, www-browser
Description: Extract and browse the URLs contained in an email (urlview replacement)
 urlscan searches for URLs in email messages, then displays a list of
 them in the current terminal.  It is primarily meant as a replacement
 for urlview, which it improves upon in the following ways:
 .
  * urlscan understands email encodings such as quoted-printable;
    urlview does not.
  * urlscan extracts and displays the context surrounding each URL.

## urlscan 0.5.6-0.2

=== debian/changelog ===
urlscan (0.5.6-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2, thanks to Dan Chen (Closes: #617138).

 -- Andrea Colangelo <warp10@ubuntu.com>  Sun, 09 Jun 2013 09:13:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: urlscan
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Burrows <dburrows@debian.org>
+Maintainer: Daniel Burrows <dburrows@debian.org>
 Build-Depends: debhelper (>= 5.0.37.2)
 Build-Depends-Indep: python (>= 2.6.6-3~), python-dev (>= 2.6.6-3~)
 Standards-Version: 3.7.3
-X-Python-Version: >=2.6
 
 Package: urlscan
 Architecture: all

=== _darcs/pristine/debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	./setup.py clean -a
	dh_clean

build:

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	./setup.py install --no-compile --prefix=$(CURDIR)/debian/urlscan/usr

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README
	dh_installman urlscan.1
	dh_fixperms
	dh_pycentral
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep

.PHONY: clean binary-indep binary-arch binary install build

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	./setup.py clean -a
	dh_clean

build:

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	./setup.py install --no-compile --prefix=$(CURDIR)/debian/urlscan/usr --install-layout=deb

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README
	dh_installman urlscan.1
	dh_fixperms
	dh_python2
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep

.PHONY: clean binary-indep binary-arch binary install build

## urlscan 0.8.2

=== debian/changelog ===
urlscan (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * New maintainer (Closes:  #738901)
  * Switch to dpkg-source 3.0 (quilt) format
  * enables compatibility with python3

 -- David Carlos de Araujo Silva <ddavidcarlos1392@gmail.com>  Tue, 12 Jan 2016 15:56:59 -0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,19 @@
 Source: urlscan
 Section: mail
 Priority: optional
-Maintainer: Daniel Burrows <dburrows@debian.org>
-Build-Depends: debhelper (>= 5.0.37.2)
-Build-Depends-Indep: python (>= 2.6.6-3~), python-dev (>= 2.6.6-3~)
-Standards-Version: 3.7.3
+Maintainer: David Carlos de Araujo Silva <ddavidcarlos1392@gmail.com>
+Build-Depends: debhelper (>= 9), dh-python
+Homepage: https://github.com/firecat53/urlscan
+Build-Depends-Indep: python3,
+                     python3-setuptools
+Standards-Version: 3.9.6
 
 Package: urlscan
 Architecture: all
-Depends: ${python:Depends}, python-urwid
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-urwid,
+         libcanberra-gtk3-module
 Suggests: mutt, www-browser
 Description: Extract and browse the URLs contained in an email (urlview replacement)
  urlscan searches for URLs in email messages, then displays a list of

=== debian/watch ===
version=3
https://github.com/firecat53/urlscan/tags .*/(\d\S+)\.tar\.(?:gz|xz|bz2)

## urlscan 0.9.4

=== debian/changelog ===
urlscan (0.9.4-1) unstable; urgency=medium

  [ Marcin Kulisz ]
  * New upstream version 0.9.4
    - Closes: #513548 in 0.8.1 (6be713e - added non interactive interface)
    - Closes: #406013 in 0.8.5 (d138dc2 - Highlighting selected url)
    - Closes: #771506, #410634 in 0.7.2 (b8e3b5f - Extends regexp to match ()
      and @)
    - Closes: #420719 in 0.7.2 (5361688 - Fixing hexadecimal encoded characters)
    - Closes: #409416 in 0.8.1 (bdda3a2, b7a7127)
    - Closes: #409293 in 0.5.6
  * Adopting package and ... + (Closes: #926731)
  * Added gbp workflow
  * Removing all unaplicable patches
  * Source patch removing from binary package not needed COPYING file
  * std-ver bump to 4.4.0
  * Added d/README.source
  * Added neomutt as a suggestion
  * Taking over the package and moving previous maintainer to uploaders

 -- Marcin Kulisz <debian@kulisz.net>  Thu, 05 Sep 2019 15:00:33 +0100

=== debian/control ===
Source: urlscan
Section: mail
Priority: optional
Maintainer: Marcin Kulisz <debian@kulisz.net>
Uploaders: David Carlos de Araujo Silva <ddavidcarlos1392@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python
Build-Depends-Indep: python3,
                     python3-setuptools
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/debian/urlscan.git
Vcs-Browser: https://salsa.debian.org/debian/urlscan
Homepage: https://github.com/firecat53/urlscan

Package: urlscan
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-urwid,
         libcanberra-gtk3-module
Suggests: neomutt | mutt,
          www-browser
Description: Extract and browse the URLs contained in an email (urlview replacement)
 urlscan searches for URLs in email messages, then displays a list of
 them in the current terminal.  It is primarily meant as a replacement
 for urlview, which it improves upon in the following ways:
 .
  * urlscan understands email encodings such as quoted-printable;
    urlview does not.
  * urlscan extracts and displays the context surrounding each URL.

## urlscan 0.9.5

=== debian/changelog ===
urlscan (0.9.5-1) unstable; urgency=medium

  * Moving Canberra-gtk3 to recommends (Closes: #813456)
  * New upstream version 0.9.5
  * Std. Ver bumpup & clean up in uploaders field
  * Debhelper-compat bumpup
  * d/control: added Rules-Requires-Root to the soruce package
  * Added missing (as per lintian I) upstream metadata

 -- Marcin Kulisz <debian@kulisz.net>  Sun, 26 Jul 2020 22:03:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 Section: mail
 Priority: optional
 Maintainer: Marcin Kulisz <debian@kulisz.net>
-Uploaders: David Carlos de Araujo Silva <ddavidcarlos1392@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python
 Build-Depends-Indep: python3,
                      python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/urlscan.git
 Vcs-Browser: https://salsa.debian.org/debian/urlscan
 Homepage: https://github.com/firecat53/urlscan
+Rules-Requires-Root: no
 
 Package: urlscan
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-urwid,
-         libcanberra-gtk3-module
+         python3-urwid
+Recommends: libcanberra-gtk3-module
 Suggests: neomutt | mutt,
           www-browser
 Description: Extract and browse the URLs contained in an email (urlview replacement)

## urlscan 0.9.9

=== debian/changelog ===
urlscan (0.9.9-1) unstable; urgency=medium

  * New upstream version 0.9.9 (Closes: #999338)
  * Initial autopkgtest
  * std. version bump to 4.6.1
  * Removing libcanberra-gtk3-module from recommendations (Closes: #996603)
  * Fixing patches
  * Removing d/install

 -- Marcin Kulisz <debian@kulisz.net>  Mon, 06 Jun 2022 22:28:24 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                dh-python
 Build-Depends-Indep: python3,
                      python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/urlscan.git
 Vcs-Browser: https://salsa.debian.org/debian/urlscan
 Homepage: https://github.com/firecat53/urlscan
@@ -17,7 +17,6 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-urwid
-Recommends: libcanberra-gtk3-module
 Suggests: neomutt | mutt,
           www-browser
 Description: Extract and browse the URLs contained in an email (urlview replacement)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang='/usr/bin/python3'

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?(\d\.\d\.\d)\.tar\.gz/urlscan-$1.tar.gz/" \
  https://github.com/firecat53/urlscan/releases .*/(\d\S+)\.tar\.(?:gz|xz|bz2)

## urlscan 1.0.3

=== debian/changelog ===
urlscan (1.0.3-1) unstable; urgency=medium

  [ Marcin Kulisz ]
  * New upstream version 1.0.3
  * Closes: #1061566
  * Removig unsed patches
  * Switching from Setuptools to Hatch
  * Linking README to upstream README.md

  [ Wookey ]
  * Correct README filename in manpage

 -- Marcin Kulisz <debian@kulisz.net>  Fri, 27 Sep 2024 13:35:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Marcin Kulisz <debian@kulisz.net>
 Build-Depends: debhelper-compat (= 13),
-               dh-python
-Build-Depends-Indep: python3,
-                     python3-setuptools
+               dh-python,
+               python3,
+               python3-hatchling,
+               python3-hatch-vcs,
+               pybuild-plugin-pyproject
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/urlscan.git
 Vcs-Browser: https://salsa.debian.org/debian/urlscan

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,9 @@
 
 override_dh_python3:
 	dh_python3 --shebang='/usr/bin/python3'
+
+override_dh_compress:
+	dh_compress --exclude README.md
+
+override_dh_link:
+	dh_link usr/share/doc/urlscan/README.md usr/share/doc/urlscan/README

=== debian/tests/control ===
Tests: test
Depends: @

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
  https://api.github.com/repos/firecat53/urlscan/releases?per_page=100 \
  https://api.github.com/repos/firecat53/urlscan/tarball/@ANY_VERSION@

## urlscan 1.0.8

=== debian/changelog ===
urlscan (1.0.8-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.0.8. (Closes: #1125639)

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Feb 2026 22:37:29 -0500

## urlscan python-0.0.1

=== requirements.txt ===
uv==0.7.3

## urlscan python-0.0.2

=== requirements.txt ===
uv==0.9.22
